CacheStore
Keywords: com.fg.xmleditor.CacheStore class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Class CacheStore

    java.lang.Object
      com.fg.xmleditor.CacheStore

All Implemented Interfaces:
  Common

public class CacheStore
extends java.lang.Object
implements Common

Creates cache of objects, used internally by the `FXDocumentModelImpl` object. CacheStore doesn't have to be instantiated and used by the user code directly.

Version:
  1.0
Author:
  Felix Golubov

Field Summary

Fields inherited from interface com.fg.xmleditor.Common
`APPINFO, EDITOR_CLASS, EDITOR_ID, EXPOSED, EXPOSED_FLAG, FALSE, ID, ID_FLAG, IDREF, IDREF_FLAG, MESSAGE, NAME, NODE_INFO, PARAM, SCHEMA_NS, TRUE`

Constructor Summary
`CacheStore(Validator validator)` Creates new CacheStore object.

Method Summary
`void` | `clear()` Method removes all the cache, which is stored in the CacheStore object.
`CustInfo` | `getCustInfo(org.apache.xerces.impl.xs.psvi.XSObject xsNode)` Method returns cached `CustInfo` instance which corresponds an org.apache.xerces.impl.xs.psvi.XSObject object specified.
`RSequence` | `getRTree(org.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition ctd)` Method returns a root of a "reconstructor" tree, built out of objects, defined in `com.fg.reconstructor` package, for a org.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition object passed.
`java.util.List` | `getSubstitutionGroup(org.apache.xerces.impl.xs.psvi.XSElementDeclaration ed)` Method returns a substitution group as a list of org.apache.xerces.impl.xs.psvi.XSElementDeclaration for the XSElementDeclaration object passed.
`void` | `init(org.apache.xerces.impl.xs.psvi.XSModel model)` Method initializes CacheStore object with XML Schema data.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheStore

    public CacheStore(Validator validator)

  Creates new CacheStore object.

Parameters:
  `validator` - a `Validator` object.

Method Detail

### clear

    public void clear()

  Method removes all the cache, which is stored in the CacheStore object.

### init

    public void init(org.apache.xerces.impl.xs.psvi.XSModel model)

  Method initializes CacheStore object with XML Schema data.

  Parameters:
    `model` - a org.apache.xerces.impl.xs.psvi.XSModel object.

### getCustInfo

    public CustInfo getCustInfo(org.apache.xerces.impl.xs.psvi.XSObject xsNode)

  Method returns cached `CustInfo` instance which corresponds an org.apache.xerces.impl.xs.psvi.XSObject object specified.

  Returns:
    a `CustInfo` object.

### getSubstitutionGroup

    public java.util.List getSubstitutionGroup(org.apache.xerces.impl.xs.psvi.XSElementDeclaration ed)

  Method returns a substitution group as a list of org.apache.xerces.impl.xs.psvi.XSElementDeclaration for the XSElementDeclaration object passed.

  Parameters:
    `ed` - an org.apache.xerces.impl.xs.psvi.XSElementDeclaration object.
  Returns:
    a list of org.apache.xerces.impl.xs.psvi.XSElementDeclaration objects.

### getRTree

    public RSequence getRTree(org.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition ctd)

  Method returns a root of a "reconstructor" tree, built out of objects, defined in `com.fg.reconstructor` package, for a org.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition object passed.

  Parameters:
    `ctd` - an org.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition object.
  Returns:
    a `RSequence` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD